import numpy as np
from sklearn.impute import SimpleImputer

A = np.genfromtxt( "d.csv", delimiter=',', dtype=float, filling_values=np.nan )
print( A.shape )
print( A )

imputer = SimpleImputer( strategy='mean')
# strategy = "median"
# strategy = "most_frequent"
# strategy = "constant"

imputer.fit( A )
Ap = imputer.transform( A )

print( Ap.shape )
print( Ap )
